# List Connect cluster secrets

**GET /v1/kafka-connect/clusters/{cluster_name}/secrets**

List Kafka Connect cluster secrets. Optional: filter based on secret name and labels.


## Servers
- Data Plane API: https://{dataplane_api_subdomain}.cloud.redpanda.com (Data Plane API)


## Authentication methods
- Auth0


## Parameters

### Path parameters
- **cluster_name** (string)
  Unique name of target connect cluster. For Redpanda Cloud, use `redpanda`.

### Query parameters
- **filter.name_contains** (string)
  Substring match on secret name. Case-sensitive.
- **filter.labels[string][string]** (string)
  This is a request variable of the map type. The query format is "map_name[key]=value", e.g. If the map name is Age, the key type is string, and the value type is integer, the query parameter is expressed as Age["bob"]=18
- **filter.scopes** (array[string])
  Secret scopes to search for
- **page_token** (string)
  Value of the next_page_token field returned by the previous response.
  If not provided, the system assumes the first page is requested.
- **page_size** (integer(int32))
  Limit the paginated response to a number of items. Defaults to 100. Use -1 to disable pagination.


## Responses
### 200
OK

#### Body: application/json (object)
- **next_page_token** (string)
  Token to retrieve the next page.
- **secrets** (array[object])
  Secrets retrieved.

### 401
Unauthenticated.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.

### 500
Internal Server Error. Reach out to support.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.

### default
An unexpected error response.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.


[Powered by Bump.sh](https://bump.sh)
